Bug 843636 - SOAPClient <xs:any> handling needs improvement
SOAPClient <xs:any> handling needs improvement
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: kconner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 16:18 EDT by tcunning
Modified: 2012-08-14 09:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xs:any reproducer (804.35 KB, application/zip)
2012-07-27 08:09 EDT, Robert Balent
no flags Details
Server xs:any parse exception log (2.95 KB, text/x-log)
2012-07-27 08:10 EDT, Robert Balent
no flags Details

  None (edit)
Description tcunning 2012-07-26 16:18:28 EDT
Description of problem:

In SOA-P 5.3, SOAPClient introduced <xs:any/> handling, but requires a well-formed XML string by the user.      This could be improved by handling the object and clearing up confusion in the OGNL parameter naming (in SOAPClientService.injectParameters, the OGNL expression for the embedded comment is the same as the enclosing element when you get to handling the comment).
Comment 1 Robert Balent 2012-07-27 08:09:34 EDT
Created attachment 600756 [details]
xs:any reproducer

Attaching reproducer. Copy reproducer to quickstarts directory and run:

ant deploy
ant runtest
Comment 2 Robert Balent 2012-07-27 08:10:08 EDT
Created attachment 600757 [details]
Server xs:any parse exception log

Note You need to log in before you can comment on or make changes to this bug.